Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.thinger.service.command
Interface Commander

All Known Implementing Classes:
  LocalCommander

    public interface Commander

Interface to a commander.

Version:
  1.0

  Version History

      EPG - Initial - 22 MAY 06

Author:
  Erich P. Gatejen

Method Summary
`void` | `disposal()` Allow the disposal procecure to run.
`Receipt` | `issueCommand(Command commandToIssue)` This will issue a command.
`CommandResponse` | `queryResponse(Receipt commandReceipt)` Query the reponse progress a command.

Method Detail

### issueCommand

    Receipt issueCommand(Command commandToIssue)
                         throws SystemException

  This will issue a command. It returns a receipt for the issuance, not for the other all interaction.

  Parameters:
    `commandToIssue` - The command to issue.
  Throws:
    `SystemException`

### queryResponse

    CommandResponse queryResponse(Receipt commandReceipt)
                                  throws SystemException

  Query the reponse progress a command. It is up to the implementation as to when responses are handled. If they are not handled in a separate thread, it is possible this call with take time to handle responses. The implementation will make a best-effort to keep InterruptedExceptions from fouling the process. If it successful, the interruption will propagate as a simple WARNING level SystemException. If not, you could see anything up to a PANIC.

  Parameters:
    `commandReceipt` - The issuance receipt.
  Returns:
    A response object.
  Throws:
    `SystemException`

### disposal

    void disposal()
                  throws SystemException

  Allow the disposal procecure to run. It is safe to call this any time. It will sweep any DISPOSED responses from the system, which may build up over time. The CommandResponse implementations may or may not call it.

  Throws:
    `SystemException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.